Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IVertexBuffer Class Reference

`#include <IVertexBuffer.h>`

Inheritance diagram for irr::scene::IVertexBuffer:

List of all members.

## Public Member Functions
virtual u32 | allocated_size () const =0
virtual u32 | getChangedID () const =0
| Get the currently used ID for identification of changes.
virtual void * | getData ()=0
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const =0
| get the current hardware mapping hint
virtual video::S3DVertex & | getLast ()=0
virtual video::E_VERTEX_TYPE | getType () const =0
virtual video::S3DVertex & | operator[] (const u32 index) const =0
virtual video::S3DVertex * | pointer ()=0
virtual void | push_back (const video::S3DVertex &element)=0
virtual void | reallocate (u32 new_size)=0
virtual void | set_used (u32 usedNow)=0
virtual void | setDirty ()=0
| flags the meshbuffer as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)=0
| set the hardware mapping hint, for driver
virtual void | setType (video::E_VERTEX_TYPE vertexType)=0
virtual u32 | size () const =0
virtual u32 | stride () const =0

## Detailed Description

Definition at line 17 of file IVertexBuffer.h.

## Member Function Documentation

virtual u32 irr::scene::IVertexBuffer::allocated_size | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual u32 irr::scene::IVertexBuffer::getChangedID | ( |  | ) | const`[pure virtual]`

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getChangedID_Vertex().

virtual void* irr::scene::IVertexBuffer::getData | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getVertices().

virtual E_HARDWARE_MAPPING irr::scene::IVertexBuffer::getHardwareMappingHint | ( |  | ) | const`[pure virtual]`

get the current hardware mapping hint

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getHardwareMappingHint_Vertex().

virtual video::S3DVertex& irr::scene::IVertexBuffer::getLast | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual video::E_VERTEX_TYPE irr::scene::IVertexBuffer::getType | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::CVertexBuffer::CVertexBuffer(), and irr::scene::IDynamicMeshBuffer::getVertexType().

virtual video::S3DVertex& irr::scene::IVertexBuffer::operator[] | ( | const u32 | index | ) | const`[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual video::S3DVertex* irr::scene::IVertexBuffer::pointer | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual void irr::scene::IVertexBuffer::push_back | ( | const video::S3DVertex & | element | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual void irr::scene::IVertexBuffer::reallocate | ( | u32 | new_size | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual void irr::scene::IVertexBuffer::set_used | ( | u32 | usedNow | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual void irr::scene::IVertexBuffer::setDirty | ( |  | ) | `[pure virtual]`

flags the meshbuffer as changed, reloads hardware buffers

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setDirty().

virtual void irr::scene::IVertexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) | `[pure virtual]`

set the hardware mapping hint, for driver

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setHardwareMappingHint().

virtual void irr::scene::IVertexBuffer::setType | ( | video::E_VERTEX_TYPE | vertexType | ) | `[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

virtual u32 irr::scene::IVertexBuffer::size | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::CVertexBuffer::CVertexBuffer(), irr::scene::IDynamicMeshBuffer::getVertexCount(), and irr::scene::CDynamicMeshBuffer::recalculateBoundingBox().

virtual u32 irr::scene::IVertexBuffer::stride | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CVertexBuffer.

The documentation for this class was generated from the following file:

- IVertexBuffer.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:16 2010 by Doxygen (1.5.6)